رفتن به مطلب
  • 0

مشکل استفاده از Api پایین تر از 14


Developer2017

سوال

با عرض سلام

چرا تو بیسیک وقتی از Api پایین تر از 14 استفاده میکنیم زمان خروجی گرفتن خطای زیر رو نشون میده؟؟

B4A version: 6.50
Parsing code.    (0.01s)
Compiling code.    (0.09s)
Compiling layouts code.    (0.00s)
Organizing libraries.    (0.00s)
Generating R file.    (0.10s)
Compiling generated Java code.    Error
javac 1.8.0_121
src\b4a\example\starter.java:85: error: cannot find symbol
        super.onTaskRemoved(rootIntent);
             ^
  symbol: method onTaskRemoved(Intent)
1 error

لینک ارسال
به اشتراک گذاری در سایت های دیگر

6 پاسخ به این سوال تاکنون داده شده است

ارسال های توصیه شده

در در 1396/01/14, 20:59:38، Developer2017 گفته است :

بسیار سپاسگزارم، راه حلش چیه که بشه از Api پایین تر از 14 هم استفاده کرد؟

 

در 4 ساعت قبل، Developer2017 گفته است :

من میخوام نرم افزار رو گوشی های بیشتری نصب بشه وگرنه خودمو خسته نمی کردم، آیا کسی هست راه حلی داشته باشه؟

خب این ربطی به api نداره شما میتونی با اخرین api کامپایل کنی جوری تنظیم کنی از اندورید 1 به بعد هم جواب بده میتونی هم جوری تنظیم کنی فقط برای یک نسخه از اندورید جواب بده . همانجور که گفتم شما اخرین api رو دانلود کن minsdk داخل مانیفست یعنی پایین ترین اس دی کی یا همون نسخه ی اندوریدی که میخواین اپتون برای اون جواب بده رو جوری تنظیم کن که برای اون نسخه هایی میخوای جواب بده.  اونجا عددش رو  معمولا 15 میگذاریم چون اندورید 2.3 دیگه تقریبا درصدش صفر هست ولی خواستی برای 2.3 هم اپت جواب بده روی 10 بگذار

لینک ارسال
به اشتراک گذاری در سایت های دیگر

در 1 ساعت قبل، Developer2017 گفته است :

بسیار سپاسگزارم، راه حلش چیه که بشه از Api پایین تر از 14 هم استفاده کرد؟

آقای پوراباذری توضیح دادن.. آخرین api رو دانلود کنید و با اون برنامه رو کامپایل کنید

لینک ارسال
به اشتراک گذاری در سایت های دیگر

من میخوام نرم افزار رو گوشی های بیشتری نصب بشه وگرنه خودمو خسته نمی کردم، آیا کسی هست راه حلی داشته باشه؟

لینک ارسال
به اشتراک گذاری در سایت های دیگر

اینتنت task remove که داخل سرویس استارتر بیسیک وجود داره داخل این api نیست شما برای کامپایل کردن همیشه از اخرین api استفاده کنید تا این موقع api 25 اخرین api هست که عرضه شده اندورید 7.1 میشه با همین api برنامتون رو کامپایل کنید تا با مشکلاتی از این قبیل روبه رو نشید

لینک ارسال
به اشتراک گذاری در سایت های دیگر

یه دنیا سپاسگزارم جناب پور اباذری:53: تو یه سایت خونده بودم و واسه همین انقد مصر بودم پس راه حلش اینه، بازرم سپاس

لینک ارسال
به اشتراک گذاری در سایت های دیگر

بایگانی شده

این موضوع بایگانی و قفل شده و دیگر امکان ارسال پاسخ نیست.

مهمان
این موضوع برای عدم ارسال قفل گردیده است.
  • کاربران آنلاین در این صفحه   0 کاربر

    • هیچ کاربر عضوی،در حال مشاهده این صفحه نیست.
×
×
  • اضافه کردن...